package com.hs.admin.dao;


import com.hs.admin.bean.SysTask;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public interface SysTaskDao {
    int deleteByPrimaryKey(Integer id);

    int insert(SysTask record);

    int insertSelective(SysTask record);

    SysTask selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(SysTask record);

    int updateByPrimaryKey(SysTask record);

    int delTask(Integer taskId);

    List<Map> findAllByCondition(HashMap<String, Object> map);

    int delTaskById(Integer id);

    Long getTotalCount(HashMap<String, Object> map);
}